# MissingResourceException

open class MissingResourceException : ResourceException

Exception thrown when the resource does not exist

## Constructors

MissingResourceException
Link copied to clipboard
constructor(message: String)
constructor(message: String, cause: Throwable)
constructor(location: URI, message: String)
constructor(location: URI, message: String, cause: Throwable)

## Properties

cause
Link copied to clipboard
open val cause: Throwable
location
Link copied to clipboard
val location: URI
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getMessage
Link copied to clipboard
open fun getMessage(): String
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
initCause
Link copied to clipboard
open fun initCause(p: Throwable): Throwable
printStackTrace
Link copied to clipboard
open fun printStackTrace()
toString
Link copied to clipboard
open fun toString(): String